#ifndef ZBUFFER_H
#define ZBUFFER_H
 
#ifdef __cplusplus
extern "C" {
#endif /* __cplusplus */
                        
/* For DLL using these function :*/
 
extern CPA_EXPORT void GLI_GetZBufferFromViewport(struct GLD_tdstViewportAttributes_ *p_stVpt ,long lOutSizeX,long OutSizeY,float *p_ZBufferOut,long lPitchOutInByte); /*ANNECY BBB proto*/
extern CPA_EXPORT void GLI_ZBufferClearNearestAndCompareInverted();
extern CPA_EXPORT void GLI_ZBufferCompareRestored();
extern CPA_EXPORT void GLI_ClearZBufferRegion(long lXStart,long lXEnd,long lYStart,long lYEnd);
 
#ifdef __cplusplus
};
#endif /* __cplusplus */
#endif /*  LIGHT_H*/
